# Inventories

{% hint style="info" %}
**inventoryType** attribute are the code for the different types of inventories that can be created in Elyssa app

* 0 : captación
* 1 : colocación
* 2 : pre-visita
* 3 : desocupación
  {% endhint %}

### List all inventory with pagination

<mark style="color:blue;">`GET`</mark> `/v1/inventories`

List the inventories that a company has registered in elyssa app; To improve performance, the information is paginated, the amount of data to be returned in each query is established

#### Query Parameters

| Name          | Type    | Description                                                        |
| ------------- | ------- | ------------------------------------------------------------------ |
| inventoryType | number  | <p>Values: 0,1,2,3<br>Default: null</p>                            |
| isSigned      | boolean | <p>Values: true, false, null<br>Default: null</p>                  |
| sortBy        | string  | <p>Values: createdAt or signatureDate</p><p>Default: createdAt</p> |
| sortOrder     | string  | Values: asc, desc Default: desc                                    |
| page          | number  | <p>Number of the page to display information.  <br>Default 1</p>   |
| pageSize      | number  | Number of records to display per page. Default: 20.                |

{% tabs %}
{% tab title="200: OK " %}

```json
{
  "success": true,
  "timestamp": "2026-02-06T18:55:45.036Z",
  "data": {
    "data": [
      {
        "inventoryId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "property": {
          "propertyId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
          "code": "string",
          "address": "string",
          "city": "string"
        },
        "inventoryType": 0,
        "inventoryTypeName": "string",
        "isSigned": true,
        "isRemoteSigned": true,
        "rentalPrice": 0,
        "currency": "string",
        "pdfDownloadUrl": "string",
        "createdAt": "2026-02-06T18:55:45.036Z",
        "signatureDate": "2026-02-06T18:55:45.036Z"
      }
    ],
    "page": 0,
    "pageSize": 0,
    "totalRecords": 0,
    "totalPages": 0,
    "hasPreviousPage": true,
    "hasNextPage": true
  }
}
```

{% endtab %}

{% tab title="400: Bad Request " %}

{% endtab %}
{% endtabs %}

### Detail inventory

<mark style="color:blue;">`GET`</mark> `/v1/inventories/details`

Complete detail of an inventory, with basic information about the property, the number of levels that make it up. It also has the environments and the items that make it up, providing comments, quantities, description and photos.\
\
:interrobang: The level attribute of the environments indicates the level at which it is located within the house.

#### Query Parameters

| Name                                          | Type | Description                    |
| --------------------------------------------- | ---- | ------------------------------ |
| InventoryId<mark style="color:red;">\*</mark> | uuid | Unique identifier of inventory |

{% tabs %}
{% tab title="200: OK " %}

```json
{
  "success": true,
  "timestamp": "2026-02-06T18:50:27.065Z",
  "data": {
    "inventoryId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "property": {
      "propertyId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "code": "string",
      "address": "string",
      "city": "string",
      "neighborhood": "string"
    },
    "inventoryType": 0,
    "inventoryTypeName": "string",
    "isSigned": true,
    "isRemoteSigned": true,
    "rentalPrice": 0,
    "currency": "string",
    "approvalCode": "string",
    "signatures": {
      "agentSignatureDate": "2026-02-06T18:50:27.065Z",
      "ownerSignatureDate": "2026-02-06T18:50:27.065Z",
      "signatureDate": "2026-02-06T18:50:27.065Z"
    },
    "pdfDownloadUrl": "string",
    "stats": {
      "totalEnvironments": 0,
      "totalItems": 0
    },
    "createdAt": "2026-02-06T18:50:27.065Z"
  }
}
```

{% endtab %}

{% tab title="400: Bad Request " %}

{% endtab %}
{% endtabs %}

### Inventories by property Id

<mark style="color:blue;">`GET`</mark> `/v1/inventories/by-property`

Retrieve all inventory records associated with a property by ID.

#### Query Parameters

| Name                                         | Type   | Description                                                      |
| -------------------------------------------- | ------ | ---------------------------------------------------------------- |
| propertyId<mark style="color:red;">\*</mark> | uuid   | Unique identifier of property                                    |
| page                                         | number | <p>Number of the page to display information.  <br>Default 1</p> |
| pageSize                                     | number | Number of records to display per page. Default: 20.              |

{% tabs %}
{% tab title="200: OK " %}

```json
{
  "success": true,
  "timestamp": "2026-02-06T19:00:54.044Z",
  "data": {
    "data": [
      {
        "inventoryId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "property": {
          "propertyId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
          "code": "string",
          "address": "string",
          "city": "string"
        },
        "inventoryType": 0,
        "inventoryTypeName": "string",
        "isSigned": true,
        "isRemoteSigned": true,
        "rentalPrice": 0,
        "currency": "string",
        "pdfDownloadUrl": "string",
        "createdAt": "2026-02-06T19:00:54.044Z",
        "signatureDate": "2026-02-06T19:00:54.044Z"
      }
    ],
    "page": 0,
    "pageSize": 0,
    "totalRecords": 0,
    "totalPages": 0,
    "hasPreviousPage": true,
    "hasNextPage": true
  }
}

```

{% endtab %}

{% tab title="400: Bad Request " %}

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://elyssa-app.gitbook.io/api-docs/inventories.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
